Changes between Initial Version and Version 1 of Ticket #1430, comment 1


Ignore:
Timestamp:
Jan 23, 2021, 10:20:38 AM (11 months ago)
Author:
TheDragonFire961
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #1430, comment 1

    initial v1  
    11Replying to [ticket:1430 TheDragonFire961]:
    2 > These two drives are currently not in the smartctl database.
    3 > == TOSHIBA HDW240
    4 > This drive's family is the Toshiba P300 (SMR). Other drives in this family include the HDWD220 and HDWD260.
    5 > {{{
    6 > smartctl 6.6 2017-11-05 r4594 [x86_64-w64-mingw32-w10-b19042] (sf-6.6-1)
    7 > Copyright (C) 2002-17, Bruce Allen, Christian Franke, www.smartmontools.org
    8 >
    9 > === START OF INFORMATION SECTION ===
    10 > Device Model:     TOSHIBA HDWD240
    11 > Firmware Version: KQ000A
    12 > User Capacity:    4,000,787,030,016 bytes [4.00 TB]
    13 > Sector Sizes:     512 bytes logical, 4096 bytes physical
    14 > Rotation Rate:    5400 rpm
    15 > Form Factor:      3.5 inches
    16 > Device is:        Not in smartctl database [for details use: -P showall]
    17 > ATA Version is:   ACS-3 T13/2161-D revision 5
    18 > SATA Version is:  SATA 3.3, 6.0 Gb/s (current: 3.0 Gb/s)
    19 > Local Time is:    Sat Jan 23 18:51:46 2021 EAST
    20 > SMART support is: Available - device has SMART capability.
    21 > SMART support is: Enabled
    22 > AAM feature is:   Unavailable
    23 > APM level is:     128 (minimum power consumption without standby)
    24 > Rd look-ahead is: Enabled
    25 > Write cache is:   Enabled
    26 > DSN feature is:   Disabled
    27 > ATA Security is:  Disabled, NOT FROZEN [SEC1]
    28 > Wt Cache Reorder: Enabled
    29 >
    30 > === START OF READ SMART DATA SECTION ===
    31 > SMART overall-health self-assessment test result: PASSED
    32 >
    33 > General SMART Values:
    34 > Offline data collection status:  (0x00)       Offline data collection activity
    35 >                                       was never started.
    36 >                                       Auto Offline Data Collection: Disabled.
    37 > Self-test execution status:      (   0)       The previous self-test routine completed
    38 >                                       without error or no self-test has ever
    39 >                                       been run.
    40 > Total time to complete Offline
    41 > data collection:              (  120) seconds.
    42 > Offline data collection
    43 > capabilities:                          (0x5b) SMART execute Offline immediate.
    44 >                                       Auto Offline data collection on/off support.
    45 >                                       Suspend Offline collection upon new
    46 >                                       command.
    47 >                                       Offline surface scan supported.
    48 >                                       Self-test supported.
    49 >                                       No Conveyance Self-test supported.
    50 >                                       Selective Self-test supported.
    51 > SMART capabilities:            (0x0003)       Saves SMART data before entering
    52 >                                       power-saving mode.
    53 >                                       Supports SMART auto save timer.
    54 > Error logging capability:        (0x01)       Error logging supported.
    55 >                                       General Purpose Logging supported.
    56 > Short self-test routine
    57 > recommended polling time:      (   2) minutes.
    58 > Extended self-test routine
    59 > recommended polling time:      ( 498) minutes.
    60 > SCT capabilities:            (0x003d) SCT Status supported.
    61 >                                       SCT Error Recovery Control supported.
    62 >                                       SCT Feature Control supported.
    63 >                                       SCT Data Table supported.
    64 >
    65 > SMART Attributes Data Structure revision number: 16
    66 > Vendor Specific SMART Attributes with Thresholds:
    67 > ID# ATTRIBUTE_NAME          FLAGS    VALUE WORST THRESH FAIL RAW_VALUE
    68 >   1 Raw_Read_Error_Rate     PO-R--   100   100   050    -    0
    69 >   2 Throughput_Performance  P-S---   100   100   050    -    0
    70 >   3 Spin_Up_Time            POS--K   100   100   001    -    5693
    71 >   4 Start_Stop_Count        -O--CK   100   100   000    -    27
    72 >   5 Reallocated_Sector_Ct   PO--CK   100   100   050    -    0
    73 >   7 Seek_Error_Rate         PO-R--   100   100   050    -    0
    74 >   8 Seek_Time_Performance   P-S---   100   100   050    -    0
    75 >   9 Power_On_Hours          -O--CK   100   100   000    -    101
    76 >  10 Spin_Retry_Count        PO--CK   100   100   030    -    0
    77 >  12 Power_Cycle_Count       -O--CK   100   100   000    -    27
    78 > 191 G-Sense_Error_Rate      -O--CK   100   100   000    -    1
    79 > 192 Power-Off_Retract_Count -O--CK   100   100   000    -    8
    80 > 193 Load_Cycle_Count        -O--CK   100   100   000    -    184
    81 > 194 Temperature_Celsius     -O---K   100   100   000    -    28 (Min/Max 20/41)
    82 > 196 Reallocated_Event_Count -O--CK   100   100   000    -    0
    83 > 197 Current_Pending_Sector  -O--CK   100   100   000    -    0
    84 > 198 Offline_Uncorrectable   ----CK   100   100   000    -    0
    85 > 199 UDMA_CRC_Error_Count    -O--CK   200   200   000    -    0
    86 > 220 Disk_Shift              -O----   100   100   000    -    0
    87 > 222 Loaded_Hours            -O--CK   100   100   000    -    90
    88 > 223 Load_Retry_Count        -O--CK   100   100   000    -    0
    89 > 224 Load_Friction           -O---K   100   100   000    -    0
    90 > 226 Load-in_Time            -OS--K   100   100   000    -    859
    91 > 240 Head_Flying_Hours       P-----   100   100   001    -    0
    92 >                             ||||||_ K auto-keep
    93 >                             |||||__ C event count
    94 >                             ||||___ R error rate
    95 >                             |||____ S speed/performance
    96 >                             ||_____ O updated online
    97 >                             |______ P prefailure warning
    98 >
    99 > General Purpose Log Directory Version 1
    100 > SMART           Log Directory Version 1 [multi-sector log support]
    101 > Address    Access  R/W   Size  Description
    102 > 0x00       GPL,SL  R/O      1  Log Directory
    103 > 0x01           SL  R/O      1  Summary SMART error log
    104 > 0x02           SL  R/O     51  Comprehensive SMART error log
    105 > 0x03       GPL     R/O     64  Ext. Comprehensive SMART error log
    106 > 0x04       GPL,SL  R/O      8  Device Statistics log
    107 > 0x06           SL  R/O      1  SMART self-test log
    108 > 0x07       GPL     R/O      1  Extended self-test log
    109 > 0x09           SL  R/W      1  Selective self-test log
    110 > 0x0a       GPL     R/W      2  Device Statistics Notification
    111 > 0x10       GPL     R/O      1  NCQ Command Error log
    112 > 0x11       GPL     R/O      1  SATA Phy Event Counters log
    113 > 0x24       GPL     R/O  36864  Current Device Internal Status Data log
    114 > 0x30       GPL,SL  R/O      9  IDENTIFY DEVICE data log
    115 > 0x80-0x9f  GPL,SL  R/W     16  Host vendor specific log
    116 > 0xa7       GPL     VS       8  Device vendor specific log
    117 > 0xe0       GPL,SL  R/W      1  SCT Command/Status
    118 > 0xe1       GPL,SL  R/W      1  SCT Data Transfer
    119 >
    120 > SMART Extended Comprehensive Error Log Version: 1 (64 sectors)
    121 > No Errors Logged
    122 >
    123 > SMART Extended Self-test Log Version: 1 (1 sectors)
    124 > Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
    125 > # 1  Short offline       Completed without error       00%       101         -
    126 > # 2  Short offline       Completed without error       00%       100         -
    127 > # 3  Extended offline    Completed without error       00%        98         -
    128 > # 4  Extended offline    Completed without error       00%        77         -
    129 > # 5  Extended offline    Completed without error       00%        56         -
    130 > # 6  Short offline       Completed without error       00%        48         -
    131 > # 7  Extended offline    Aborted by host               10%        48         -
    132 > # 8  Short offline       Completed without error       00%        28         -
    133 > # 9  Extended offline    Aborted by host               90%        13         -
    134 > #10  Extended offline    Aborted by host               10%        13         -
    135 >
    136 > SMART Selective self-test log data structure revision number 1
    137 >  SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    138 >     1        0        0  Not_testing
    139 >     2        0        0  Not_testing
    140 >     3        0        0  Not_testing
    141 >     4        0        0  Not_testing
    142 >     5        0        0  Not_testing
    143 > Selective self-test flags (0x0):
    144 >   After scanning selected spans, do NOT read-scan remainder of disk.
    145 > If Selective self-test is pending on power-up, resume after 0 minute delay.
    146 >
    147 > SCT Status Version:                  3
    148 > SCT Version (vendor specific):       1 (0x0001)
    149 > SCT Support Level:                   1
    150 > Device State:                        Active (0)
    151 > Current Temperature:                    28 Celsius
    152 > Power Cycle Min/Max Temperature:     22/28 Celsius
    153 > Lifetime    Min/Max Temperature:     20/41 Celsius
    154 > Under/Over Temperature Limit Count:   0/0
    155 >
    156 > SCT Temperature History Version:     2
    157 > Temperature Sampling Period:         1 minute
    158 > Temperature Logging Interval:        1 minute
    159 > Min/Max recommended Temperature:      0/60 Celsius
    160 > Min/Max Temperature Limit:            0/60 Celsius
    161 > Temperature History Size (Index):    478 (184)
    162 >
    163 > Index    Estimated Time   Temperature Celsius
    164 >  185    2021-01-23 10:54    32  *************
    165 >  ...    ..(108 skipped).    ..  *************
    166 >  294    2021-01-23 12:43    32  *************
    167 >  295    2021-01-23 12:44     ?  -
    168 >  296    2021-01-23 12:45    23  ****
    169 >  297    2021-01-23 12:46    23  ****
    170 >  298    2021-01-23 12:47    24  *****
    171 >  299    2021-01-23 12:48    24  *****
    172 >  300    2021-01-23 12:49    25  ******
    173 >  301    2021-01-23 12:50    25  ******
    174 >  302    2021-01-23 12:51    25  ******
    175 >  303    2021-01-23 12:52    26  *******
    176 >  304    2021-01-23 12:53    26  *******
    177 >  305    2021-01-23 12:54    26  *******
    178 >  306    2021-01-23 12:55    27  ********
    179 >  307    2021-01-23 12:56    27  ********
    180 >  308    2021-01-23 12:57    27  ********
    181 >  309    2021-01-23 12:58    28  *********
    182 >  ...    ..(  3 skipped).    ..  *********
    183 >  313    2021-01-23 13:02    28  *********
    184 >  314    2021-01-23 13:03    29  **********
    185 >  315    2021-01-23 13:04    29  **********
    186 >  316    2021-01-23 13:05    29  **********
    187 >  317    2021-01-23 13:06    30  ***********
    188 >  ...    ..(  3 skipped).    ..  ***********
    189 >  321    2021-01-23 13:10    30  ***********
    190 >  322    2021-01-23 13:11    31  ************
    191 >  ...    ..( 22 skipped).    ..  ************
    192 >  345    2021-01-23 13:34    31  ************
    193 >  346    2021-01-23 13:35     ?  -
    194 >  347    2021-01-23 13:36    23  ****
    195 >  348    2021-01-23 13:37    24  *****
    196 >  349    2021-01-23 13:38    25  ******
    197 >  ...    ..(  2 skipped).    ..  ******
    198 >  352    2021-01-23 13:41    25  ******
    199 >  353    2021-01-23 13:42    26  *******
    200 >  354    2021-01-23 13:43    26  *******
    201 >  355    2021-01-23 13:44    27  ********
    202 >  356    2021-01-23 13:45    27  ********
    203 >  357    2021-01-23 13:46     ?  -
    204 >  358    2021-01-23 13:47    23  ****
    205 >  359    2021-01-23 13:48    24  *****
    206 >  360    2021-01-23 13:49    25  ******
    207 >  ...    ..(  2 skipped).    ..  ******
    208 >  363    2021-01-23 13:52    25  ******
    209 >  364    2021-01-23 13:53    26  *******
    210 >  365    2021-01-23 13:54    26  *******
    211 >  366    2021-01-23 13:55    26  *******
    212 >  367    2021-01-23 13:56    27  ********
    213 >  368    2021-01-23 13:57    27  ********
    214 >  369    2021-01-23 13:58    27  ********
    215 >  370    2021-01-23 13:59    28  *********
    216 >  ...    ..(  3 skipped).    ..  *********
    217 >  374    2021-01-23 14:03    28  *********
    218 >  375    2021-01-23 14:04    29  **********
    219 >  376    2021-01-23 14:05    29  **********
    220 >  377    2021-01-23 14:06    29  **********
    221 >  378    2021-01-23 14:07    30  ***********
    222 >  ...    ..(  3 skipped).    ..  ***********
    223 >  382    2021-01-23 14:11    30  ***********
    224 >  383    2021-01-23 14:12    31  ************
    225 >  384    2021-01-23 14:13    31  ************
    226 >  385    2021-01-23 14:14    31  ************
    227 >  386    2021-01-23 14:15    32  *************
    228 >  ...    ..(  9 skipped).    ..  *************
    229 >  396    2021-01-23 14:25    32  *************
    230 >  397    2021-01-23 14:26    33  **************
    231 >  ...    ..( 11 skipped).    ..  **************
    232 >  409    2021-01-23 14:38    33  **************
    233 >  410    2021-01-23 14:39    34  ***************
    234 >  ...    ..( 15 skipped).    ..  ***************
    235 >  426    2021-01-23 14:55    34  ***************
    236 >  427    2021-01-23 14:56    35  ****************
    237 >  ...    ..( 39 skipped).    ..  ****************
    238 >  467    2021-01-23 15:36    35  ****************
    239 >  468    2021-01-23 15:37    34  ***************
    240 >  ...    ..(  5 skipped).    ..  ***************
    241 >  474    2021-01-23 15:43    34  ***************
    242 >  475    2021-01-23 15:44     ?  -
    243 >  476    2021-01-23 15:45    25  ******
    244 >  477    2021-01-23 15:46     ?  -
    245 >    0    2021-01-23 15:47    23  ****
    246 >    1    2021-01-23 15:48     ?  -
    247 >    2    2021-01-23 15:49    24  *****
    248 >    3    2021-01-23 15:50    25  ******
    249 >    4    2021-01-23 15:51    25  ******
    250 >    5    2021-01-23 15:52    25  ******
    251 >    6    2021-01-23 15:53    26  *******
    252 >    7    2021-01-23 15:54    26  *******
    253 >    8    2021-01-23 15:55    26  *******
    254 >    9    2021-01-23 15:56    27  ********
    255 >   10    2021-01-23 15:57    27  ********
    256 >   11    2021-01-23 15:58    28  *********
    257 >  ...    ..(  5 skipped).    ..  *********
    258 >   17    2021-01-23 16:04    28  *********
    259 >   18    2021-01-23 16:05     ?  -
    260 >   19    2021-01-23 16:06    24  *****
    261 >   20    2021-01-23 16:07    25  ******
    262 >   21    2021-01-23 16:08    26  *******
    263 >   22    2021-01-23 16:09    27  ********
    264 >   23    2021-01-23 16:10    28  *********
    265 >   24    2021-01-23 16:11    29  **********
    266 >   25    2021-01-23 16:12    30  ***********
    267 >   26    2021-01-23 16:13    31  ************
    268 >   27    2021-01-23 16:14    32  *************
    269 >   28    2021-01-23 16:15    33  **************
    270 >   29    2021-01-23 16:16    34  ***************
    271 >   30    2021-01-23 16:17    35  ****************
    272 >   31    2021-01-23 16:18    36  *****************
    273 >   32    2021-01-23 16:19    37  ******************
    274 >   33    2021-01-23 16:20    38  *******************
    275 >   34    2021-01-23 16:21    38  *******************
    276 >   35    2021-01-23 16:22    39  ********************
    277 >   36    2021-01-23 16:23    39  ********************
    278 >   37    2021-01-23 16:24    39  ********************
    279 >   38    2021-01-23 16:25    40  *********************
    280 >  ...    ..( 15 skipped).    ..  *********************
    281 >   54    2021-01-23 16:41    40  *********************
    282 >   55    2021-01-23 16:42    41  **********************
    283 >  ...    ..( 16 skipped).    ..  **********************
    284 >   72    2021-01-23 16:59    41  **********************
    285 >   73    2021-01-23 17:00    40  *********************
    286 >   74    2021-01-23 17:01    41  **********************
    287 >   75    2021-01-23 17:02    40  *********************
    288 >  ...    ..( 31 skipped).    ..  *********************
    289 >  107    2021-01-23 17:34    40  *********************
    290 >  108    2021-01-23 17:35    39  ********************
    291 >  109    2021-01-23 17:36    39  ********************
    292 >  110    2021-01-23 17:37    38  *******************
    293 >  ...    ..(  3 skipped).    ..  *******************
    294 >  114    2021-01-23 17:41    38  *******************
    295 >  115    2021-01-23 17:42    37  ******************
    296 >  ...    ..(  3 skipped).    ..  ******************
    297 >  119    2021-01-23 17:46    37  ******************
    298 >  120    2021-01-23 17:47    36  *****************
    299 >  ...    ..(  5 skipped).    ..  *****************
    300 >  126    2021-01-23 17:53    36  *****************
    301 >  127    2021-01-23 17:54    35  ****************
    302 >  ...    ..( 11 skipped).    ..  ****************
    303 >  139    2021-01-23 18:06    35  ****************
    304 >  140    2021-01-23 18:07    34  ***************
    305 >  ...    ..( 10 skipped).    ..  ***************
    306 >  151    2021-01-23 18:18    34  ***************
    307 >  152    2021-01-23 18:19    33  **************
    308 >  ...    ..(  4 skipped).    ..  **************
    309 >  157    2021-01-23 18:24    33  **************
    310 >  158    2021-01-23 18:25     ?  -
    311 >  159    2021-01-23 18:26    24  *****
    312 >  160    2021-01-23 18:27     ?  -
    313 >  161    2021-01-23 18:28    24  *****
    314 >  162    2021-01-23 18:29    25  ******
    315 >  163    2021-01-23 18:30    25  ******
    316 >  164    2021-01-23 18:31    26  *******
    317 >  165    2021-01-23 18:32    28  *********
    318 >  166    2021-01-23 18:33     ?  -
    319 >  167    2021-01-23 18:34    25  ******
    320 >  ...    ..(  4 skipped).    ..  ******
    321 >  172    2021-01-23 18:39    25  ******
    322 >  173    2021-01-23 18:40    26  *******
    323 >  ...    ..(  2 skipped).    ..  *******
    324 >  176    2021-01-23 18:43    26  *******
    325 >  177    2021-01-23 18:44    27  ********
    326 >  ...    ..(  4 skipped).    ..  ********
    327 >  182    2021-01-23 18:49    27  ********
    328 >  183    2021-01-23 18:50    28  *********
    329 >  184    2021-01-23 18:51    28  *********
    330 >
    331 > SCT Error Recovery Control:
    332 >            Read: Disabled
    333 >           Write: Disabled
    334 >
    335 > Device Statistics (GP Log 0x04)
    336 > Page  Offset Size        Value Flags Description
    337 > 0x01  =====  =               =  ===  == General Statistics (rev 1) ==
    338 > 0x01  0x008  4              27  ---  Lifetime Power-On Resets
    339 > 0x01  0x010  4             101  ---  Power-on Hours
    340 > 0x01  0x018  6     26743241471  ---  Logical Sectors Written
    341 > 0x01  0x020  6        69431792  ---  Number of Write Commands
    342 > 0x01  0x028  6     11057801489  ---  Logical Sectors Read
    343 > 0x01  0x030  6        12080190  ---  Number of Read Commands
    344 > 0x01  0x038  6       363929306  ---  Date and Time TimeStamp
    345 > 0x02  =====  =               =  ===  == Free-Fall Statistics (rev 1) ==
    346 > 0x02  0x010  4               1  ---  Overlimit Shock Events
    347 > 0x03  =====  =               =  ===  == Rotating Media Statistics (rev 1) ==
    348 > 0x03  0x008  4             101  ---  Spindle Motor Power-on Hours
    349 > 0x03  0x010  4              90  ---  Head Flying Hours
    350 > 0x03  0x018  4             184  ---  Head Load Events
    351 > 0x03  0x020  4               0  -D-  Number of Reallocated Logical Sectors
    352 > 0x03  0x028  4               4  ---  Read Recovery Attempts
    353 > 0x03  0x030  4               0  ---  Number of Mechanical Start Failures
    354 > 0x03  0x038  4               0  ---  Number of Realloc. Candidate Logical Sectors
    355 > 0x03  0x040  4               8  ---  Number of High Priority Unload Events
    356 > 0x04  =====  =               =  ===  == General Errors Statistics (rev 1) ==
    357 > 0x04  0x008  4               0  ---  Number of Reported Uncorrectable Errors
    358 > 0x04  0x010  4               2  ---  Resets Between Cmd Acceptance and Completion
    359 > 0x05  =====  =               =  ===  == Temperature Statistics (rev 1) ==
    360 > 0x05  0x008  1              28  ---  Current Temperature
    361 > 0x05  0x010  1              34  N--  Average Short Term Temperature
    362 > 0x05  0x018  1               -  N--  Average Long Term Temperature
    363 > 0x05  0x020  1              41  ---  Highest Temperature
    364 > 0x05  0x028  1              20  ---  Lowest Temperature
    365 > 0x05  0x030  1              39  N--  Highest Average Short Term Temperature
    366 > 0x05  0x038  1              34  N--  Lowest Average Short Term Temperature
    367 > 0x05  0x040  1               -  N--  Highest Average Long Term Temperature
    368 > 0x05  0x048  1               -  N--  Lowest Average Long Term Temperature
    369 > 0x05  0x050  4               0  ---  Time in Over-Temperature
    370 > 0x05  0x058  1              60  ---  Specified Maximum Operating Temperature
    371 > 0x05  0x060  4               0  ---  Time in Under-Temperature
    372 > 0x05  0x068  1               0  ---  Specified Minimum Operating Temperature
    373 > 0x06  =====  =               =  ===  == Transport Statistics (rev 1) ==
    374 > 0x06  0x008  4              10  ---  Number of Hardware Resets
    375 > 0x06  0x010  4              30  ---  Number of ASR Events
    376 > 0x06  0x018  4               0  ---  Number of Interface CRC Errors
    377 > 0x07  =====  =               =  ===  == Solid State Device Statistics (rev 1) ==
    378 >                                 |||_ C monitored condition met
    379 >                                 ||__ D supports DSN
    380 >                                 |___ N normalized value
    381 >
    382 > Pending Defects log (GP Log 0x0c) not supported
    383 >
    384 > SATA Phy Event Counters (GP Log 0x11)
    385 > ID      Size     Value  Description
    386 > 0x0001  4            0  Command failed due to ICRC error
    387 > 0x0002  4            0  R_ERR response for data FIS
    388 > 0x0003  4            0  R_ERR response for device-to-host data FIS
    389 > 0x0004  4            0  R_ERR response for host-to-device data FIS
    390 > 0x0005  4            0  R_ERR response for non-data FIS
    391 > 0x0006  4            0  R_ERR response for device-to-host non-data FIS
    392 > 0x0007  4            0  R_ERR response for host-to-device non-data FIS
    393 > 0x0008  4            0  Device-to-host non-data FIS retries
    394 > 0x0009  4            1  Transition from drive PhyRdy to drive PhyNRdy
    395 > 0x000a  4            1  Device-to-host register FISes sent due to a COMRESET
    396 > 0x000b  4            0  CRC errors within host-to-device FIS
    397 > 0x000d  4            0  Non-CRC errors within host-to-device FIS
    398 > 0x000f  4            0  R_ERR response for host-to-device data FIS, CRC
    399 > 0x0010  4            0  R_ERR response for host-to-device data FIS, non-CRC
    400 > 0x0012  4            0  R_ERR response for host-to-device non-data FIS, CRC
    401 > 0x0013  4            0  R_ERR response for host-to-device non-data FIS, non-CRC
    402 > }}}
    403 >
    404 > == TOSHIBA HDWL110
    405 > This drive's family is the Toshiba L200 (SMR). Other drives in this family include the HDWL120.
    406 > {{{
    407 > smartctl 6.6 2017-11-05 r4594 [x86_64-w64-mingw32-w10-b19042] (sf-6.6-1)
    408 > Copyright (C) 2002-17, Bruce Allen, Christian Franke, www.smartmontools.org
    409 >
    410 > === START OF INFORMATION SECTION ===
    411 > Device Model:     TOSHIBA HDWL110
    412 > Firmware Version: JU000A
    413 > User Capacity:    1,000,204,886,016 bytes [1.00 TB]
    414 > Sector Sizes:     512 bytes logical, 4096 bytes physical
    415 > Rotation Rate:    5400 rpm
    416 > Form Factor:      2.5 inches
    417 > Device is:        Not in smartctl database [for details use: -P showall]
    418 > ATA Version is:   ACS-3 T13/2161-D revision 5
    419 > SATA Version is:  SATA 3.3, 6.0 Gb/s (current: 3.0 Gb/s)
    420 > Local Time is:    Sat Jan 23 18:48:15 2021 EAST
    421 > SMART support is: Available - device has SMART capability.
    422 > SMART support is: Enabled
    423 > AAM feature is:   Unavailable
    424 > APM level is:     128 (minimum power consumption without standby)
    425 > Rd look-ahead is: Enabled
    426 > Write cache is:   Enabled
    427 > DSN feature is:   Disabled
    428 > ATA Security is:  Disabled, NOT FROZEN [SEC1]
    429 > Wt Cache Reorder: Enabled
    430 >
    431 > === START OF READ SMART DATA SECTION ===
    432 > SMART overall-health self-assessment test result: PASSED
    433 >
    434 > General SMART Values:
    435 > Offline data collection status:  (0x00)       Offline data collection activity
    436 >                                       was never started.
    437 >                                       Auto Offline Data Collection: Disabled.
    438 > Self-test execution status:      (   0)       The previous self-test routine completed
    439 >                                       without error or no self-test has ever
    440 >                                       been run.
    441 > Total time to complete Offline
    442 > data collection:              (  120) seconds.
    443 > Offline data collection
    444 > capabilities:                          (0x5b) SMART execute Offline immediate.
    445 >                                       Auto Offline data collection on/off support.
    446 >                                       Suspend Offline collection upon new
    447 >                                       command.
    448 >                                       Offline surface scan supported.
    449 >                                       Self-test supported.
    450 >                                       No Conveyance Self-test supported.
    451 >                                       Selective Self-test supported.
    452 > SMART capabilities:            (0x0003)       Saves SMART data before entering
    453 >                                       power-saving mode.
    454 >                                       Supports SMART auto save timer.
    455 > Error logging capability:        (0x01)       Error logging supported.
    456 >                                       General Purpose Logging supported.
    457 > Short self-test routine
    458 > recommended polling time:      (   2) minutes.
    459 > Extended self-test routine
    460 > recommended polling time:      ( 176) minutes.
    461 > SCT capabilities:            (0x003d) SCT Status supported.
    462 >                                       SCT Error Recovery Control supported.
    463 >                                       SCT Feature Control supported.
    464 >                                       SCT Data Table supported.
    465 >
    466 > SMART Attributes Data Structure revision number: 16
    467 > Vendor Specific SMART Attributes with Thresholds:
    468 > ID# ATTRIBUTE_NAME          FLAGS    VALUE WORST THRESH FAIL RAW_VALUE
    469 >   1 Raw_Read_Error_Rate     PO-R--   100   100   050    -    0
    470 >   2 Throughput_Performance  P-S---   100   100   050    -    0
    471 >   3 Spin_Up_Time            POS--K   100   100   001    -    1248
    472 >   4 Start_Stop_Count        -O--CK   100   100   000    -    64
    473 >   5 Reallocated_Sector_Ct   PO--CK   100   100   050    -    0
    474 >   7 Seek_Error_Rate         PO-R--   100   100   050    -    0
    475 >   8 Seek_Time_Performance   P-S---   100   100   050    -    0
    476 >   9 Power_On_Hours          -O--CK   100   100   000    -    108
    477 >  10 Spin_Retry_Count        PO--CK   101   100   030    -    0
    478 >  12 Power_Cycle_Count       -O--CK   100   100   000    -    61
    479 > 191 G-Sense_Error_Rate      -O--CK   100   100   000    -    11
    480 > 192 Power-Off_Retract_Count -O--CK   100   100   000    -    33
    481 > 193 Load_Cycle_Count        -O--CK   100   100   000    -    284
    482 > 194 Temperature_Celsius     -O---K   100   100   000    -    28 (Min/Max 20/40)
    483 > 196 Reallocated_Event_Count -O--CK   100   100   000    -    0
    484 > 197 Current_Pending_Sector  -O--CK   100   100   000    -    0
    485 > 198 Offline_Uncorrectable   ----CK   100   100   000    -    0
    486 > 199 UDMA_CRC_Error_Count    -O--CK   200   200   000    -    0
    487 > 220 Disk_Shift              -O----   100   100   000    -    0
    488 > 222 Loaded_Hours            -O--CK   100   100   000    -    93
    489 > 223 Load_Retry_Count        -O--CK   100   100   000    -    0
    490 > 224 Load_Friction           -O---K   100   100   000    -    0
    491 > 226 Load-in_Time            -OS--K   100   100   000    -    181
    492 > 240 Head_Flying_Hours       P-----   100   100   001    -    0
    493 >                             ||||||_ K auto-keep
    494 >                             |||||__ C event count
    495 >                             ||||___ R error rate
    496 >                             |||____ S speed/performance
    497 >                             ||_____ O updated online
    498 >                             |______ P prefailure warning
    499 >
    500 > General Purpose Log Directory Version 1
    501 > SMART           Log Directory Version 1 [multi-sector log support]
    502 > Address    Access  R/W   Size  Description
    503 > 0x00       GPL,SL  R/O      1  Log Directory
    504 > 0x01           SL  R/O      1  Summary SMART error log
    505 > 0x02           SL  R/O     51  Comprehensive SMART error log
    506 > 0x03       GPL     R/O     64  Ext. Comprehensive SMART error log
    507 > 0x04       GPL,SL  R/O      8  Device Statistics log
    508 > 0x06           SL  R/O      1  SMART self-test log
    509 > 0x07       GPL     R/O      1  Extended self-test log
    510 > 0x09           SL  R/W      1  Selective self-test log
    511 > 0x0a       GPL     R/W      2  Device Statistics Notification
    512 > 0x10       GPL     R/O      1  NCQ Command Error log
    513 > 0x11       GPL     R/O      1  SATA Phy Event Counters log
    514 > 0x24       GPL     R/O  32768  Current Device Internal Status Data log
    515 > 0x30       GPL,SL  R/O      9  IDENTIFY DEVICE data log
    516 > 0x80-0x9f  GPL,SL  R/W     16  Host vendor specific log
    517 > 0xa7       GPL     VS       8  Device vendor specific log
    518 > 0xe0       GPL,SL  R/W      1  SCT Command/Status
    519 > 0xe1       GPL,SL  R/W      1  SCT Data Transfer
    520 >
    521 > SMART Extended Comprehensive Error Log Version: 1 (64 sectors)
    522 > No Errors Logged
    523 >
    524 > SMART Extended Self-test Log Version: 1 (1 sectors)
    525 > Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
    526 > # 1  Short offline       Completed without error       00%       108         -
    527 > # 2  Extended offline    Completed without error       00%       108         -
    528 > # 3  Extended offline    Completed without error       00%       104         -
    529 > # 4  Extended offline    Aborted by host               10%        98         -
    530 > # 5  Extended offline    Completed without error       00%        87         -
    531 > # 6  Extended offline    Completed without error       00%        71         -
    532 > # 7  Extended offline    Completed without error       00%        66         -
    533 > # 8  Short offline       Completed without error       00%        52         -
    534 > # 9  Extended offline    Aborted by host               90%        52         -
    535 > #10  Extended offline    Completed without error       00%        52         -
    536 > #11  Extended offline    Completed without error       00%        47         -
    537 > #12  Extended offline    Completed without error       00%        44         -
    538 > #13  Extended offline    Completed without error       00%        40         -
    539 > #14  Extended offline    Completed without error       00%        34         -
    540 > #15  Extended offline    Completed without error       00%        22         -
    541 > #16  Extended offline    Completed without error       00%        11         -
    542 >
    543 > SMART Selective self-test log data structure revision number 1
    544 >  SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    545 >     1        0        0  Not_testing
    546 >     2        0        0  Not_testing
    547 >     3        0        0  Not_testing
    548 >     4        0        0  Not_testing
    549 >     5        0        0  Not_testing
    550 > Selective self-test flags (0x0):
    551 >   After scanning selected spans, do NOT read-scan remainder of disk.
    552 > If Selective self-test is pending on power-up, resume after 0 minute delay.
    553 >
    554 > SCT Status Version:                  3
    555 > SCT Version (vendor specific):       1 (0x0001)
    556 > SCT Support Level:                   1
    557 > Device State:                        Active (0)
    558 > Current Temperature:                    28 Celsius
    559 > Power Cycle Min/Max Temperature:     24/28 Celsius
    560 > Lifetime    Min/Max Temperature:     20/40 Celsius
    561 > Under/Over Temperature Limit Count:   0/0
    562 >
    563 > SCT Temperature History Version:     2
    564 > Temperature Sampling Period:         1 minute
    565 > Temperature Logging Interval:        1 minute
    566 > Min/Max recommended Temperature:      0/60 Celsius
    567 > Min/Max Temperature Limit:            0/60 Celsius
    568 > Temperature History Size (Index):    478 (440)
    569 >
    570 > Index    Estimated Time   Temperature Celsius
    571 >  441    2021-01-23 10:51    39  ********************
    572 >  ...    ..( 10 skipped).    ..  ********************
    573 >  452    2021-01-23 11:02    39  ********************
    574 >  453    2021-01-23 11:03    38  *******************
    575 >  454    2021-01-23 11:04    39  ********************
    576 >  455    2021-01-23 11:05    39  ********************
    577 >  456    2021-01-23 11:06    38  *******************
    578 >  457    2021-01-23 11:07    38  *******************
    579 >  458    2021-01-23 11:08    39  ********************
    580 >  459    2021-01-23 11:09    38  *******************
    581 >  ...    ..( 12 skipped).    ..  *******************
    582 >  472    2021-01-23 11:22    38  *******************
    583 >  473    2021-01-23 11:23    39  ********************
    584 >  ...    ..( 25 skipped).    ..  ********************
    585 >   21    2021-01-23 11:49    39  ********************
    586 >   22    2021-01-23 11:50    38  *******************
    587 >   23    2021-01-23 11:51    37  ******************
    588 >   24    2021-01-23 11:52    37  ******************
    589 >   25    2021-01-23 11:53    37  ******************
    590 >   26    2021-01-23 11:54    36  *****************
    591 >   27    2021-01-23 11:55    36  *****************
    592 >   28    2021-01-23 11:56    36  *****************
    593 >   29    2021-01-23 11:57    35  ****************
    594 >   30    2021-01-23 11:58    36  *****************
    595 >   31    2021-01-23 11:59    36  *****************
    596 >   32    2021-01-23 12:00    36  *****************
    597 >   33    2021-01-23 12:01    37  ******************
    598 >  ...    ..(  7 skipped).    ..  ******************
    599 >   41    2021-01-23 12:09    37  ******************
    600 >   42    2021-01-23 12:10    36  *****************
    601 >   43    2021-01-23 12:11    36  *****************
    602 >   44    2021-01-23 12:12    37  ******************
    603 >  ...    ..(  3 skipped).    ..  ******************
    604 >   48    2021-01-23 12:16    37  ******************
    605 >   49    2021-01-23 12:17    38  *******************
    606 >   50    2021-01-23 12:18    37  ******************
    607 >   51    2021-01-23 12:19    36  *****************
    608 >   52    2021-01-23 12:20    36  *****************
    609 >   53    2021-01-23 12:21    36  *****************
    610 >   54    2021-01-23 12:22    35  ****************
    611 >  ...    ..(  7 skipped).    ..  ****************
    612 >   62    2021-01-23 12:30    35  ****************
    613 >   63    2021-01-23 12:31    34  ***************
    614 >   64    2021-01-23 12:32    34  ***************
    615 >   65    2021-01-23 12:33    35  ****************
    616 >   66    2021-01-23 12:34    34  ***************
    617 >  ...    ..(  8 skipped).    ..  ***************
    618 >   75    2021-01-23 12:43    34  ***************
    619 >   76    2021-01-23 12:44    33  **************
    620 >   77    2021-01-23 12:45    34  ***************
    621 >  ...    ..(  5 skipped).    ..  ***************
    622 >   83    2021-01-23 12:51    34  ***************
    623 >   84    2021-01-23 12:52    33  **************
    624 >  ...    ..(  2 skipped).    ..  **************
    625 >   87    2021-01-23 12:55    33  **************
    626 >   88    2021-01-23 12:56    34  ***************
    627 >   89    2021-01-23 12:57    33  **************
    628 >  ...    ..(  4 skipped).    ..  **************
    629 >   94    2021-01-23 13:02    33  **************
    630 >   95    2021-01-23 13:03    34  ***************
    631 >   96    2021-01-23 13:04    33  **************
    632 >  ...    ..(  9 skipped).    ..  **************
    633 >  106    2021-01-23 13:14    33  **************
    634 >  107    2021-01-23 13:15    32  *************
    635 >  108    2021-01-23 13:16    32  *************
    636 >  109    2021-01-23 13:17    32  *************
    637 >  110    2021-01-23 13:18    33  **************
    638 >  111    2021-01-23 13:19    33  **************
    639 >  112    2021-01-23 13:20    32  *************
    640 >  113    2021-01-23 13:21    32  *************
    641 >  114    2021-01-23 13:22    33  **************
    642 >  ...    ..(  8 skipped).    ..  **************
    643 >  123    2021-01-23 13:31    33  **************
    644 >  124    2021-01-23 13:32    32  *************
    645 >  ...    ..(  3 skipped).    ..  *************
    646 >  128    2021-01-23 13:36    32  *************
    647 >  129    2021-01-23 13:37    33  **************
    648 >  130    2021-01-23 13:38    34  ***************
    649 >  131    2021-01-23 13:39    35  ****************
    650 >  132    2021-01-23 13:40    35  ****************
    651 >  133    2021-01-23 13:41    35  ****************
    652 >  134    2021-01-23 13:42    36  *****************
    653 >  135    2021-01-23 13:43    36  *****************
    654 >  136    2021-01-23 13:44    36  *****************
    655 >  137    2021-01-23 13:45    37  ******************
    656 >  138    2021-01-23 13:46    37  ******************
    657 >  139    2021-01-23 13:47    37  ******************
    658 >  140    2021-01-23 13:48    38  *******************
    659 >  ...    ..(  6 skipped).    ..  *******************
    660 >  147    2021-01-23 13:55    38  *******************
    661 >  148    2021-01-23 13:56    39  ********************
    662 >  ...    ..( 14 skipped).    ..  ********************
    663 >  163    2021-01-23 14:11    39  ********************
    664 >  164    2021-01-23 14:12    40  *********************
    665 >  165    2021-01-23 14:13    39  ********************
    666 >  166    2021-01-23 14:14    40  *********************
    667 >  167    2021-01-23 14:15    39  ********************
    668 >  168    2021-01-23 14:16    40  *********************
    669 >  169    2021-01-23 14:17    39  ********************
    670 >  170    2021-01-23 14:18    40  *********************
    671 >  171    2021-01-23 14:19    40  *********************
    672 >  172    2021-01-23 14:20    39  ********************
    673 >  ...    ..(  2 skipped).    ..  ********************
    674 >  175    2021-01-23 14:23    39  ********************
    675 >  176    2021-01-23 14:24    40  *********************
    676 >  177    2021-01-23 14:25    39  ********************
    677 >  178    2021-01-23 14:26    40  *********************
    678 >  179    2021-01-23 14:27    39  ********************
    679 >  ...    ..( 51 skipped).    ..  ********************
    680 >  231    2021-01-23 15:19    39  ********************
    681 >  232    2021-01-23 15:20    38  *******************
    682 >  ...    ..( 17 skipped).    ..  *******************
    683 >  250    2021-01-23 15:38    38  *******************
    684 >  251    2021-01-23 15:39    39  ********************
    685 >  252    2021-01-23 15:40    38  *******************
    686 >  253    2021-01-23 15:41    37  ******************
    687 >  254    2021-01-23 15:42    37  ******************
    688 >  255    2021-01-23 15:43    36  *****************
    689 >  256    2021-01-23 15:44    36  *****************
    690 >  257    2021-01-23 15:45    37  ******************
    691 >  258    2021-01-23 15:46    36  *****************
    692 >  259    2021-01-23 15:47    36  *****************
    693 >  260    2021-01-23 15:48    35  ****************
    694 >  ...    ..(  2 skipped).    ..  ****************
    695 >  263    2021-01-23 15:51    35  ****************
    696 >  264    2021-01-23 15:52    34  ***************
    697 >  265    2021-01-23 15:53    35  ****************
    698 >  266    2021-01-23 15:54    35  ****************
    699 >  267    2021-01-23 15:55    35  ****************
    700 >  268    2021-01-23 15:56    34  ***************
    701 >  ...    ..(  2 skipped).    ..  ***************
    702 >  271    2021-01-23 15:59    34  ***************
    703 >  272    2021-01-23 16:00    33  **************
    704 >  ...    ..(  2 skipped).    ..  **************
    705 >  275    2021-01-23 16:03    33  **************
    706 >  276    2021-01-23 16:04    32  *************
    707 >  ...    ..(  2 skipped).    ..  *************
    708 >  279    2021-01-23 16:07    32  *************
    709 >  280    2021-01-23 16:08    33  **************
    710 >  281    2021-01-23 16:09    33  **************
    711 >  282    2021-01-23 16:10    33  **************
    712 >  283    2021-01-23 16:11    32  *************
    713 >  ...    ..(  5 skipped).    ..  *************
    714 >  289    2021-01-23 16:17    32  *************
    715 >  290    2021-01-23 16:18    33  **************
    716 >  291    2021-01-23 16:19    34  ***************
    717 >  292    2021-01-23 16:20    35  ****************
    718 >  293    2021-01-23 16:21    35  ****************
    719 >  294    2021-01-23 16:22    35  ****************
    720 >  295    2021-01-23 16:23    36  *****************
    721 >  296    2021-01-23 16:24    36  *****************
    722 >  297    2021-01-23 16:25    37  ******************
    723 >  ...    ..(  2 skipped).    ..  ******************
    724 >  300    2021-01-23 16:28    37  ******************
    725 >  301    2021-01-23 16:29    38  *******************
    726 >  ...    ..(  5 skipped).    ..  *******************
    727 >  307    2021-01-23 16:35    38  *******************
    728 >  308    2021-01-23 16:36    39  ********************
    729 >  ...    ..( 99 skipped).    ..  ********************
    730 >  408    2021-01-23 18:16    39  ********************
    731 >  409    2021-01-23 18:17    38  *******************
    732 >  ...    ..( 23 skipped).    ..  *******************
    733 >  433    2021-01-23 18:41    38  *******************
    734 >  434    2021-01-23 18:42     ?  -
    735 >  435    2021-01-23 18:43     ?  -
    736 >  436    2021-01-23 18:44    25  ******
    737 >  437    2021-01-23 18:45    25  ******
    738 >  438    2021-01-23 18:46    27  ********
    739 >  439    2021-01-23 18:47    28  *********
    740 >  440    2021-01-23 18:48    28  *********
    741 >
    742 > SCT Error Recovery Control:
    743 >            Read: Disabled
    744 >           Write: Disabled
    745 >
    746 > Device Statistics (GP Log 0x04)
    747 > Page  Offset Size        Value Flags Description
    748 > 0x01  =====  =               =  ===  == General Statistics (rev 1) ==
    749 > 0x01  0x008  4              61  ---  Lifetime Power-On Resets
    750 > 0x01  0x010  4             108  ---  Power-on Hours
    751 > 0x01  0x018  6     10084645865  ---  Logical Sectors Written
    752 > 0x01  0x020  6        29987802  ---  Number of Write Commands
    753 > 0x01  0x028  6     13492656687  ---  Logical Sectors Read
    754 > 0x01  0x030  6        60836357  ---  Number of Read Commands
    755 > 0x01  0x038  6       389656818  ---  Date and Time TimeStamp
    756 > 0x02  =====  =               =  ===  == Free-Fall Statistics (rev 1) ==
    757 > 0x02  0x010  4              11  ---  Overlimit Shock Events
    758 > 0x03  =====  =               =  ===  == Rotating Media Statistics (rev 1) ==
    759 > 0x03  0x008  4             108  ---  Spindle Motor Power-on Hours
    760 > 0x03  0x010  4              93  ---  Head Flying Hours
    761 > 0x03  0x018  4             284  ---  Head Load Events
    762 > 0x03  0x020  4               0  -D-  Number of Reallocated Logical Sectors
    763 > 0x03  0x028  4              45  ---  Read Recovery Attempts
    764 > 0x03  0x030  4               0  ---  Number of Mechanical Start Failures
    765 > 0x03  0x038  4               0  ---  Number of Realloc. Candidate Logical Sectors
    766 > 0x03  0x040  4              33  ---  Number of High Priority Unload Events
    767 > 0x04  =====  =               =  ===  == General Errors Statistics (rev 1) ==
    768 > 0x04  0x008  4               0  ---  Number of Reported Uncorrectable Errors
    769 > 0x04  0x010  4               0  ---  Resets Between Cmd Acceptance and Completion
    770 > 0x05  =====  =               =  ===  == Temperature Statistics (rev 1) ==
    771 > 0x05  0x008  1              28  ---  Current Temperature
    772 > 0x05  0x010  1              32  N--  Average Short Term Temperature
    773 > 0x05  0x018  1               -  N--  Average Long Term Temperature
    774 > 0x05  0x020  1              40  ---  Highest Temperature
    775 > 0x05  0x028  1              20  ---  Lowest Temperature
    776 > 0x05  0x030  1              36  N--  Highest Average Short Term Temperature
    777 > 0x05  0x038  1              32  N--  Lowest Average Short Term Temperature
    778 > 0x05  0x040  1               -  N--  Highest Average Long Term Temperature
    779 > 0x05  0x048  1               -  N--  Lowest Average Long Term Temperature
    780 > 0x05  0x050  4               0  ---  Time in Over-Temperature
    781 > 0x05  0x058  1              60  ---  Specified Maximum Operating Temperature
    782 > 0x05  0x060  4               0  ---  Time in Under-Temperature
    783 > 0x05  0x068  1               0  ---  Specified Minimum Operating Temperature
    784 > 0x06  =====  =               =  ===  == Transport Statistics (rev 1) ==
    785 > 0x06  0x008  4               2  ---  Number of Hardware Resets
    786 > 0x06  0x010  4              60  ---  Number of ASR Events
    787 > 0x06  0x018  4               0  ---  Number of Interface CRC Errors
    788 > 0x07  =====  =               =  ===  == Solid State Device Statistics (rev 1) ==
    789 >                                 |||_ C monitored condition met
    790 >                                 ||__ D supports DSN
    791 >                                 |___ N normalized value
    792 >
    793 > Pending Defects log (GP Log 0x0c) not supported
    794 >
    795 > SATA Phy Event Counters (GP Log 0x11)
    796 > ID      Size     Value  Description
    797 > 0x0001  4            0  Command failed due to ICRC error
    798 > 0x0002  4            0  R_ERR response for data FIS
    799 > 0x0003  4            0  R_ERR response for device-to-host data FIS
    800 > 0x0004  4            0  R_ERR response for host-to-device data FIS
    801 > 0x0005  4            0  R_ERR response for non-data FIS
    802 > 0x0006  4            0  R_ERR response for device-to-host non-data FIS
    803 > 0x0007  4            0  R_ERR response for host-to-device non-data FIS
    804 > 0x0008  4            0  Device-to-host non-data FIS retries
    805 > 0x0009  4            0  Transition from drive PhyRdy to drive PhyNRdy
    806 > 0x000a  4            0  Device-to-host register FISes sent due to a COMRESET
    807 > 0x000b  4            0  CRC errors within host-to-device FIS
    808 > 0x000d  4            0  Non-CRC errors within host-to-device FIS
    809 > 0x000f  4            0  R_ERR response for host-to-device data FIS, CRC
    810 > 0x0010  4            0  R_ERR response for host-to-device data FIS, non-CRC
    811 > 0x0012  4            0  R_ERR response for host-to-device non-data FIS, CRC
    812 > 0x0013  4            0  R_ERR response for host-to-device non-data FIS, non-CRC
    813 > }}}
    8142
    815 Note that these apply to the 6.6 version of the database. Newer versions seem to already have the HDWL110 family.
     3Note that these apply to the 6.6 version of the database. Newer versions seem to already have the HDWL110 family, but not the P300 SMR one.